wifi8 2.0.0.0

Data Fields
wifi8_m2m_conn_cred_cmn_t Struct Reference

`#include <wifi8_types.h>`

## Data Fields
uint8_t | u8_ssid_len
uint8_t | au8_ssid [M2M_MAX_SSID_LEN - 1]
uint8_t | u8_options
uint8_t | au8_bssid [M2M_MAC_ADDRES_LEN]
uint8_t | u8_auth_type
uint8_t | au8_rsv [3]

## Field Documentation

## ◆ au8_bssid

uint8_t au8_bssid[M2M_MAC_ADDRES_LEN]

BSSID to restrict on, or all 0 if M2M_WIFI_CONN_BSSID_FLAG is not set in u8Options.

## ◆ au8_rsv

uint8_t au8_rsv[3]

reserved for future use. set to 0.

## ◆ au8_ssid

uint8_t au8_ssid[M2M_MAX_SSID_LEN - 1]

SSID.

## ◆ u8_auth_type

uint8_t u8_auth_type

connection auth type. see wifi8_m2m_sec_type_t.

## ◆ u8_options

uint8_t u8_options

Common flags: M2M_WIFI_CONN_BSSID_FLAG

## ◆ u8_ssid_len

uint8_t u8_ssid_len

SSID length.

The documentation for this struct was generated from the following file:

- D:/GIT/click_repository/cmake/wifi8/lib_wifi8/include/wifi8_types.h